import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/api/forumapp/forum/sensitivityrecord/` + url, ...arg)

/**
 * 敏感词过滤记录Api接口管理器
 *
 * @author 金吉龙
 * @date  2025/07/16 08:41
 **/
export default {
	// 获取敏感词过滤记录分页
	forumSensitivityRecordPage(data) {
		return request('page', data, 'get')
	},
	// 提交敏感词过滤记录表单 edit为true时为编辑，默认为新增
	forumSensitivityRecordSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除敏感词过滤记录
	forumSensitivityRecordDelete(data) {
		return request('delete', data)
	},
	// 获取敏感词过滤记录详情
	forumSensitivityRecordDetail(data) {
		return request('detail', data, 'get')
	}}
